package cn.iocoder.yudao.module.system.api.dish;

import cn.iocoder.yudao.module.system.api.dish.dto.DishExcelDto;
import cn.iocoder.yudao.module.system.api.dish.dto.DishesRespDto;

import java.util.List;
import java.util.Map;

/**
 * @author zt
 * @description <description class purpose>
 * @since 2024/4/7
 */
public interface DishesApi {

    /**
     * @Description: 根据菜品id 获取菜品属性
     */
    public DishesRespDto getDish(Long id);

    /**
     * @Description: 根据菜品id 获取菜品名称
     */
    public Map<Long,String> getDishName(List<Long> ids);

    /**
     * @Description: 根据菜品id 批量获取菜品信息
     */
    public List<DishesRespDto> getDishInfo(List<Long> ids);


    public void exportDish(List<DishExcelDto> dishExcels,Long storeId);


}
